#ifndef	_TWOWAY_H_
#define _TWOWAY_H_
struct x10msg {
  long to;              /* IPC message type (used as pid of recipient) */
  long from;            /* pid of sender cast to a long */
  char house;           /* HOUSE code (A-P) */
  int modules;          /* affected modules- bitmapped */
  char func[3];         /* 2 char '\0' terminated function string */
  unsigned char brdi;   /* BRIGHT or DIM repeat count */
};

/* prototypes */
int open_port(char *portname);
void close_port(int fd);
int set_tty(int fd);
int restore_tty(int fd);
int gets_fd(int portfd, char *buf, int maxlen);
int puts_fd(int portfd, char *buf);
int dialog(int portfd, struct x10msg *m, struct x10msg *r);
int stox10msg(char *s, struct x10msg *result);
#endif

