#ifndef _CLIENTSERVER_H_
#define _CLIENTSERVER_H_

#include "config.h"
#include "twoway.h"

long create_queue(int perms);	/* for server only */
void delete_queue(long qid);	/* for server only */
int peek_qid(long qid, long to);
int send_msg(long qid, struct x10msg *m);
int rec_msg(long qid, long to, struct x10msg *m);

/* pidfile routines */
int rdpidfile(char *filename, long *pid, long *qid);
int mkpidfile(char *filename, long pid, long qid);
#endif

